Bug 429444 - Review Request: libmspack - A library for compression and decomepression
Review Request: libmspack - A library for compression and decomepression
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
: 427638 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-01-20 00:48 EST by Marc Wiriadisastra
Modified: 2010-08-30 13:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-21 17:25:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)
install doc and main files together in main doc directory (1.43 KB, patch)
2008-01-20 10:22 EST, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Marc Wiriadisastra 2008-01-20 00:48:22 EST
Spec URL: http://mwiriadi.fedorapeople.org/packages/libmspack/libmspack.spec
SRPM URL: http://mwiriadi.fedorapeople.org/packages/libmspack/libmspack-20060920cvs.a-1.fc8.src.rpm

Description: The purpose of libmspack is to provide both compression and decompression of some loosely related file formats used by Microsoft.
Comment 1 Patrice Dumas 2008-01-20 07:00:38 EST
To fix the rpmlint warning on the debuginfo package, you can do
chmod a-x mspack/mspack.h
in %prep or %build or even %install (I prefer %prep).

Why is there a BR on convmv?

I think that the version release should better be
Version: 0.0
Release: 0.1.20060920alpha%{?dist}

To keep the ChangeLog timestamp you can do
iconv -f ISO_8859-1 -t utf8 ChangeLog --output Changelog.utf8
touch -r ChangeLog Changelog.utf8
mv Changelog.utf8 ChangeLog

I suggest using for the summary something more specific like
Summary:        Library for CAB and related files compression and decompression

The doc file could also be installed in %doc of the -doc

If you still prefer to install them in the directory looking like
the main package directory, I think it would be better to 
install them in a directory with the release too. Also instead of
the find for the install which also installs unneeded files, I 

install -p -m 0644 doc/*.html doc/*.gif doc/*.png doc/*.css \

Another suggestion, is to use 
rm $RPM_BUILD_ROOT%{_libdir}/libmspack.la
instead of 
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

Also I suggest not having the -doc package depend on the other
packages, docs are interesting even if the other packages aren't 
Comment 2 Marc Wiriadisastra 2008-01-20 08:55:01 EST
I originally put a buildrequires because I assumed that it wouldn't build
without the iconv package included as a requires.  The rest I have changed to
your recommendations.

I have still left the doc package since it's a significant size so should be
separated according to packaging standards.

Comment 3 Patrice Dumas 2008-01-20 09:30:36 EST
iconv is in glibc, and so is in the buildroot.

I didn't said to leave the docs in the devel package, what I meant
was to install them either in the doc package %doc or in
Also they should be marked as %doc in that case.

I also suggest removing README AUTHORS ChangeLog COPYING.LIB 
from devel and doc %doc since those files are alread in the main 
Comment 4 Patrice Dumas 2008-01-20 09:35:57 EST
I also suggest adding 
INSTALL='install -p'
on the make install command line to have the include file timestamp

The source file timestamp doesn't seems to be kept either.
-rw-rw-r-- 1 dumas dumas 498217 aoû  2 10:19 libmspack-0.0.20060920alpha.tar.gz
-rw-rw-r-- 1 dumas dumas 498217 jan 17 22:58
You can use wget -N or spectool -g to have the timestamp kept.
Comment 6 Patrice Dumas 2008-01-20 10:22:02 EST
There is an issue, indeed the html documentation isn't installed
because %doc wipes the doc directory before installing files.
Therefore to have files in -doc and main package together one have
to bypass %doc and install everything by hand. I have made a patch
for that. Also put the html doc in an html subdirectory not directly
in %{_docdir}/%{name}-%{version}/
Comment 7 Patrice Dumas 2008-01-20 10:22:56 EST
Created attachment 292291 [details]
install doc and main files together in main doc directory
Comment 9 Patrice Dumas 2008-01-20 18:36:20 EST
* rpmlint ignorable
libmspack-devel.i386: W: no-documentation
* free software, license included
* timestamps kept
* follow guidelines
* match upstream
72003dfa5da2e843e3d5ae0c18f7c969  ../SOURCES/libmspack-0.0.20060920alpha.tar.gz
* %files section right
* library correctly packaged
* %files section right

Comment 10 Marc Wiriadisastra 2008-01-20 18:45:54 EST
New Package CVS Request
Package Name: libmspack
Short Description: Library for CAB and related files compression and decompression
Owners: mwiriadi
Branches: F-7 F-8 devel
InitialCC: mwiriadi
Cvsextras Commits: yes
Comment 11 Marc Wiriadisastra 2008-01-20 18:46:24 EST
Thanks Patrice :)
Comment 12 Kevin Fenzi 2008-01-21 12:24:25 EST
cvs done.
Comment 13 Patrice Dumas 2008-11-26 05:25:06 EST
*** Bug 427638 has been marked as a duplicate of this bug. ***
Comment 14 Dan Horák 2010-08-28 04:49:50 EDT
Package Change Request
Package Name: libmspack
Owners: sharkcz

I'm going to unorphan this one after being orphaned yesterday - http://lists.fedoraproject.org/pipermail/devel/2010-August/142091.html
Comment 15 Kevin Fenzi 2010-08-29 14:43:06 EDT
Should be unretired now. 
Please take ownership in pkgdb web interface.
Comment 16 Dan Horák 2010-08-30 03:09:08 EDT
Package Change Request
Package Name: libmspack
New Branches: el4 el5 el6
Owners: sharkcz
Comment 17 Kevin Fenzi 2010-08-30 13:22:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.